<div class="employee-permissions-dialog">
  <div class="container">
    <mat-toolbar class="mb-2">
      <span>Uprawnienia dla pracownika {{employee?.data?.firstName}} {{employee?.data?.lastName}}</span>
      <span class="fill-remaining-space"></span>
      <button class="btn-dialog-close" mat-stroked-button (click)="onClose()" tabIndex="-1">
        <mat-icon matTooltip="Zamknij">clear</mat-icon>
      </button>
    </mat-toolbar>

    <form [formGroup]="employeePermissionsService.employeePermissionsForm" (submit)="onSubmit()">
      <div class="row" fxLayout="row" fxLayout.xs="column">
        <div class="col" fxLayout="column" fxLayoutGap="5px" fxFlex>
          <mat-checkbox formControlName="canViewClients">Dostęp do klientów</mat-checkbox>
          <mat-checkbox formControlName="canEditClients">Edycja klientów</mat-checkbox>
          <mat-checkbox formControlName="canViewProjects">Dostęp do projektów</mat-checkbox>
          <mat-checkbox formControlName="canEditProjects">Edycja projektów</mat-checkbox>
          <mat-checkbox formControlName="canViewWorkTimeReports">Dostęp do raportów</mat-checkbox>
        </div>

        <div class="col" fxLayout="column" fxLayoutGap="5px" fxFlex>
          <mat-checkbox formControlName="canViewCompany">Dostęp do danych firmy</mat-checkbox>
          <mat-checkbox formControlName="canEditCompany">Edycja danych firmy</mat-checkbox>
          <mat-checkbox formControlName="canViewItems">Dostęp do wyposażenia</mat-checkbox>
          <mat-checkbox formControlName="canEditItems">Edycja wyposażenia</mat-checkbox>
          <mat-checkbox formControlName="canEditEmployees">Edycja pracowników</mat-checkbox>
          <mat-checkbox formControlName="canViewEmployees">Dostęp do pracowników</mat-checkbox>
        </div>

        <div class="col" fxLayout="column" fxLayoutGap="5px" fxFlex>
          <mat-checkbox formControlName="canViewEvents">Dostęp do wydarzeń</mat-checkbox>
          <mat-checkbox formControlName="canEditEvents">Edycja wydarzeń</mat-checkbox>
          <mat-checkbox formControlName="canViewApplications">Dostęp do wniosków</mat-checkbox>
          <mat-checkbox formControlName="canServeApplications">Obsługa wniosków</mat-checkbox>
          <mat-checkbox formControlName="canPublishNews">Dodawanie aktualności</mat-checkbox>
          <div class="button-row">
            <button mat-raised-button color="primary" type="submit"
                    [disabled]="employeePermissionsService.employeePermissionsForm.invalid">
              Zapisz
            </button>
            <button mat-raised-button color="warn" (click)="onClear()">Wyczyść</button>
          </div>
        </div>
      </div>
    </form>
  </div>
</div>
